Skip to main content
GET
cURL

Параметры пути

shareId
string
обязательно

Параметры запроса

filterByTql
string
устарело
Пример:

"{field} = 'Completed' AND {field} > 5"

filter
string

A filter object for complex query conditions based on fields, operators, and values. Use our visual query builder at https://app.teable.ai/developer/tool/query-builder to build filters.

search

Search for records that match the specified field and value

Required array length: 1 element
orderBy
string

An array of sort objects that specifies how the records should be ordered.

groupBy
string

An array of group objects that specifies how the records should be grouped.

collapsedGroupIds
string

An array of group ids that specifies which groups are collapsed

queryId
string

When provided, other query parameters will be merged with the saved ones.

Пример:

"qry_xxxxxxxx"

projection
string[]

If you want to get only some fields, pass in this parameter, otherwise all visible fields will be obtained

ranges
string
обязательно

Selection coordinates encoded as JSON

Пример:

"[[0, 0], [1, 1]]"

type
enum<string>

Types of non-contiguous selections

Доступные опции:
rows,
columns
Пример:

"columns"

Ответ

200 - application/json

Copy content

content
string
обязательно
header
object[]
обязательно